// Code to measure temperature
#include <OneWire.h>  // Include the OneWire library
#include <DallasTemperature.h>           // Include the DallasTemperature
#include  <Wire.h>           // Include the Wire library
#define data 9 // The name of the pin and the number of the pin where you will connect the temperature sensor
#define heater 7
#define light 3

int LDR = 0;
int LDRValue = 0;
int Light_sensitivity = 450;
// Setup a oneWire instance to communicate with any OneWire devices (not just Maxim/Dallas temperature ICs)
int time_pass = 0;
OneWire oneWire(data); // The name of the pin?
DallasTemperature sensors(&oneWire); // Pass our oneWire reference to Dallas Temperature. 
void setup(void)
{
  // Begin the one-time use series
Serial.begin(9600);
// Start the library  
pinMode(heater,OUTPUT);
pinMode(light,OUTPUT);
}
void loop(void)
{
LDRValue = analogRead(LDR);
Serial.println(LDRValue);
delay(500);
sensors.requestTemperatures(); // Send the command to get temperatures 
float Celsius = sensors.getTempCByIndex(0); // get the value of the temperature and affect it to the variable Celsius

Serial.print(time_pass);
Serial.print(",");
Serial.print(" The temperature is: ");     // Prints the text : "The temperature is:  "
Serial.print(Celsius); //Prints the temperature
Serial.println("C   ");  
if (Celsius < 30)
{  
  digitalWrite(heater,HIGH);
  digitalWrite(light,HIGH);
}
else if (Celsius > 30)
{
  digitalWrite(heater,LOW);
  digitalWrite(light,LOW);
}
if(LDRValue < Light_sensitivity)
{
  digitalWrite(light,LOW);
}
else
{
  digitalWrite(light,HIGH);
}
  delay(50); //Repeat the program after 2 seconds
  
  time_pass++;

}

